"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Table = require("cli-table");
var chalk_1 = require("chalk");
var formatter_1 = require("../formatter");
var TimeSheetTable = /** @class */ (function () {
    function TimeSheetTable(dateRange) {
        var _this = this;
        this.format = new formatter_1.default();
        this.table = new Table({
            head: ["Time Slot", "In", "Out", "Worked"].chalkResetBold()
        });
        dateRange.days.forEach(function (day) {
            day.slots.worked.forEach(function (slot) {
                _this.table.push([
                    _this.format.date(slot.clockIn),
                    _this.format.time(slot.clockIn),
                    slot.clockOut ? _this.format.time(slot.clockOut) : chalk_1.default.gray("-"),
                    _this.format.hours(slot.hours)
                ]);
            });
        });
        this.table.push([
            "",
            "",
            "Total",
            this.format.hours(dateRange.total.worked)
        ].chalkResetBold());
        console.log(this.table.toString());
    }
    return TimeSheetTable;
}());
exports.TimeSheetTable = TimeSheetTable;
//# sourceMappingURL=timesheet.table.js.map